pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: perl5 broken on ubuntu?

> I'm having trouble installing pkglint which requires perl5, because perl
> has build errors (actually, *link* errors).

From the PR:

221-Goodbye. You uploaded 0 and downloaded 14789 kbytes.
221 Logout.
===> Building for perl-5.12.2nb2
./miniperl -Ilib cpan/Archive-Extract/pm_to_blib 
MAKE=/private/home/dennis/pkg/bin/bmake LIBPERL_A=libperl.a
        Making Archive::Extract (all)

That's pretty strongly indicative of a prior compilation; have you tried
`cd ../../lang/perl5; make clean`?

Home | Main Index | Thread Index | Old Index